#
# spec file for package util-linux (Version 2.13.0.1+git20071121)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           util-linux
BuildRequires:  audit-devel gettext-devel libuuid-devel libvolume_id-devel ncurses-devel pam-devel zlib-devel
Url:            http://kernel.org/pub/linux/utils/util-linux
Provides:       util rawio raw base schedutils
Supplements:    filesystem(minix)
Obsoletes:      util rawio raw base schedutils
PreReq:         %install_info_prereq permissions
License:        BSD 3-Clause; GPL v2 or later
Group:          System/Base
AutoReqProv:    on
Version:        2.13.0.1+git20071121
Release:        11
Summary:        A collection of basic system utilities
Source:         ftp://ftp.kernel.org/pub/linux/utils/util-linux/%name-ng-%version.tar.bz2
Source1:        util-linux-2.13-rpmlintrc
Source2:        nologin.c
Source3:        nologin.8
Source4:        raw.init
Source5:        etc.raw
Source6:        etc_filesystems
%define time_ver 1.7
%define which_ver 2.16
%define adjtimex_ver 1.20
Source9:        adjtimex-%{adjtimex_ver}.tar.bz2
Source10:       freeramdisk.tar.bz2
Source11:       klogconsole.tar.bz2
Source12:       which-%{which_ver}.tar.bz2
Source13:       time-%{time_ver}.tar.bz2
Source15:       cryptoloop.txt
Source22:       setctsid.c
Source23:       setctsid.8
Source26:       README.raw
Source28:       mkzimage_cmdline.8
Source29:       mkzimage_cmdline.c
Source30:       README.largedisk
##
## util-linux
##
#
# add hostid
Patch1:         util-linux-2.12-misc_utils_hostid.patch
# 104405 - mount -a doesn't work with hotpluggable devices
Patch2:         util-linux-mount_opt_nofail.patch
# 176582 - If the user doesn't specify -t <fstype> mount.fstype will never be called
#TODO: check alternative upstream fix
#Patch96:        util-linux-2.12r-mount_external_prog_on_guess.patch
# 160822 - fix for 153657
Patch3:         util-linux-2.12r-fdisk_cyl.patch
# 241372 - remove legacy warnings from fdisk
Patch5:         util-linux-2.12r-fdisk_remove_bogus_warnings.patch
# 254437 - swapon should automatically reset the suspend signature
# TODO: Needs to be ported to new version
Patch38:        util-linux-2.12r-mount_swapon_swsuspend_resume.patch
# 304861 - support password hashing and key length
Patch10:        util-linux-mount_losetup_crypto.patch
Patch11:        util-linux-2.13-mount_fd_leak.patch
Patch12:        util-linux-2.13-fdisk_cfdisk_ncursesw.patch
Patch13:        util-linux-2.13-hwclock_rtc_wait_busy_tempfix.patch
##
##
## adjtimex
##
Patch50:        adjtimex-1.20-nosyscall.diff
##
## klogconsole
##
Patch55:        klogconsole-quiet.patch
Patch56:        klogconsole.diff
##
## time
##
Patch60:        time-1.7.dif
##
## which
##
Patch70:        which-lib64.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         %insserv_prereq %fillup_prereq /bin/sed

%description
This package contains a large variety of low-level system utilities
that are necessary for a Linux system to function. It contains the
mount program, the fdisk configuration tool, and more.



Authors:
--------
    Karel Zak <kzak@redhat.com>

%prep
%setup -q -a 9 -b 10 -b 11 -b 12 -b 13 -n %name-ng-%version
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch5 -p1
#%patch38 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
#
cd adjtimex-*
%patch50 -p1
cd -
# setctsid
cp %{S:22} %{S:23} .
# nologin
cp %{S:2} %{S:3} %{S:15} %{S:26} %{S:30} .
cd ../klogconsole
%patch55 -p1 -b .quiet
%patch56 -p1 
cd ../time-*
%patch60
cd ../which-*
%patch70

%build
# adjtimex build
cd adjtimex-%{adjtimex_ver}
CFLAGS="$RPM_OPT_FLAGS" ./configure
make
cd ..
pushd ../
# freeramdisk build
cd freeramdisk
make CFLAGS="$RPM_OPT_FLAGS" freeramdisk
cd ..
# which build
cd which-%{which_ver}
autoreconf -fi
%{?suse_update_config:%{suse_update_config}}
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
				    --mandir=%{_mandir} \
				    --infodir=%{_infodir} \
				    %{_target_cpu}-suse-linux
make
cd ..
# time build
cd time-%{time_ver}
%{?suse_update_config:%{suse_update_config}}
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE " INSTALL_PROGRAM='$(INSTALL)' \
	./configure --prefix=/usr \
		    --mandir=%{_mandir} \
		    --infodir=%{_infodir} \
		    %{_target_cpu}-suse-linux
make
cd ..
# klogconsole build
cd klogconsole
make CFLAGS="$RPM_OPT_FLAGS"
cd ..
popd
# setctsid build
rm -f setctsid
make setctsid CFLAGS="$RPM_OPT_FLAGS"
#
# util-linux itself
#
%ifarch s390 s390x
CFLAGS=-DCONFIG_SMP
%endif
# Use autogen, when building from git tree
#autoreconf -fi
./autogen.sh
./configure --mandir=%{_mandir} \
            --datadir=%{_datadir} \
	    --with-fsprobe=volume_id \
	    --with-audit \
            --enable-elvtune \
            --enable-mesg \
            --enable-partx \
            --enable-raw \
            --enable-rdev \
            --enable-write \
            --disable-use-tty-group \
            CFLAGS="$CFLAGS $RPM_OPT_FLAGS"
make
gcc $RPM_OPT_FLAGS -o nologin nologin.c
gcc $RPM_OPT_FLAGS -o mkzimage_cmdline %{S:29}

%check
cd ../time-%{time_ver}
make check

%install
mkdir -p "$RPM_BUILD_ROOT"{/etc/init.d,%{_mandir}/man{1,8},\
/bin,/sbin,/usr/bin,/usr/sbin,%{_infodir}}
cp adjtimex-*/adjtimex %{buildroot}/usr/sbin/
cp adjtimex-*/adjtimex.8  %{buildroot}%{_mandir}/man8/
pushd ..
# freeramdisk install
cd freeramdisk
install freeramdisk $RPM_BUILD_ROOT/usr/sbin
install -m644 freeramdisk.info.gz $RPM_BUILD_ROOT%{_infodir}
cd ..
# which install
cd which-%{which_ver}
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/which
install -m 0644 README    $RPM_BUILD_ROOT%{_defaultdocdir}/which/
install -m 0644 EXAMPLES  $RPM_BUILD_ROOT%{_defaultdocdir}/which/
install -m 0644 README.alias $RPM_BUILD_ROOT%{_defaultdocdir}/which/
cd ..
# time install
cd time-%{time_ver}
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/time
make install DESTDIR=$RPM_BUILD_ROOT \
        prefix=$RPM_BUILD_ROOT/usr \
        infodir=$RPM_BUILD_ROOT%{_infodir} \
        mandir=$RPM_BUILD_ROOT%{_mandir}
install -m 0644 README    $RPM_BUILD_ROOT%{_defaultdocdir}/time/
install -m 0644 AUTHORS   $RPM_BUILD_ROOT%{_defaultdocdir}/time/
install -m 0644 COPYING   $RPM_BUILD_ROOT%{_defaultdocdir}/time/
install -m 0644 NEWS      $RPM_BUILD_ROOT%{_defaultdocdir}/time/
cd ..
# klogconsole install
cd klogconsole
make install DEST=$RPM_BUILD_ROOT
popd
#
# util-linux install
#
make DESTDIR=$RPM_BUILD_ROOT install
mv $RPM_BUILD_ROOT/usr/bin/logger $RPM_BUILD_ROOT/bin/logger
install -m 644 %{SOURCE6} $RPM_BUILD_ROOT/etc/filesystems
install -m 755 nologin $RPM_BUILD_ROOT/sbin
%ifnarch ppc ppc64
install -m 755 mkzimage_cmdline $RPM_BUILD_ROOT/usr/bin
install -m 644 %{S:28} $RPM_BUILD_ROOT%{_mandir}/man8
%endif
install -m 644 nologin.8 $RPM_BUILD_ROOT%{_mandir}/man8
# setctsid install
install -m 755 setctsid   $RPM_BUILD_ROOT/usr/sbin
install -m 444 setctsid.8 $RPM_BUILD_ROOT%{_mandir}/man8/
echo -e "#! /bin/bash\n/sbin/blockdev --flushbufs \$1" > $RPM_BUILD_ROOT/usr/sbin/flushb
chmod 755 $RPM_BUILD_ROOT/usr/sbin/flushb
# Install scripts to configure raw devices at boot time
install -m 644 $RPM_SOURCE_DIR/etc.raw   $RPM_BUILD_ROOT/etc/raw
install -m 755 $RPM_SOURCE_DIR/raw.init $RPM_BUILD_ROOT/etc/init.d/raw
ln -sf ../../etc/init.d/raw $RPM_BUILD_ROOT/usr/sbin/rcraw
# Stupid hack so we don't have a tcsh dependency
#chmod 644 $RPM_BUILD_ROOT/usr/share/misc/getopt/*
# Following files we don't want to package, so remove them
rm -f $RPM_BUILD_ROOT/usr/bin/pg
rm -f $RPM_BUILD_ROOT/usr/share/man/man1/pg.1*
# Do not package these files to get rid of the perl dependency
rm -f $RPM_BUILD_ROOT/usr/bin/chkdupexe
rm -f $RPM_BUILD_ROOT/usr/bin/scriptreplay
rm -f $RPM_BUILD_ROOT/usr/share/man/man1/chkdupexe.1
rm -f $RPM_BUILD_ROOT/usr/share/man/man1/scriptreplay.1
# For now, do not package setarch and related symlinks
rm -f $RPM_BUILD_ROOT/usr/bin/setarch
rm -f $RPM_BUILD_ROOT/usr/bin/linux32
rm -f $RPM_BUILD_ROOT/usr/bin/linux64
rm -f $RPM_BUILD_ROOT/usr/bin/i386
rm -f $RPM_BUILD_ROOT/usr/bin/x86_64
rm -f $RPM_BUILD_ROOT/usr/bin/s390
rm -f $RPM_BUILD_ROOT/usr/bin/s390x
rm -f $RPM_BUILD_ROOT/usr/bin/ppc
rm -f $RPM_BUILD_ROOT/usr/bin/ppc32
rm -f $RPM_BUILD_ROOT/usr/bin/ppc64
rm -f $RPM_BUILD_ROOT/usr/bin/ia64
rm -f $RPM_BUILD_ROOT/usr/bin/parisc
rm -f $RPM_BUILD_ROOT/usr/bin/parisc32
rm -f $RPM_BUILD_ROOT/usr/bin/parisc64
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/setarch.8
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/i386.8
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/x86_64.8
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/linux{32,64}.8
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/ia64.8
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/s390{,x}.8
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/ppc{,32,64}.8
# arch dependent
%ifarch s390 s390x
rm -f $RPM_BUILD_ROOT/etc/fdprm
rm -f $RPM_BUILD_ROOT/usr/bin/cytune
rm -f $RPM_BUILD_ROOT/usr/bin/fdformat
rm -f $RPM_BUILD_ROOT/sbin/hwclock
rm -f $RPM_BUILD_ROOT/usr/sbin/klogconsole
rm -f $RPM_BUILD_ROOT/usr/bin/setterm
rm -f $RPM_BUILD_ROOT/usr/sbin/tunelp
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/cytune.8*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/fdformat.8*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/hwclock.8*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/klogconsole.8*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/tunelp.8*
%endif
%ifarch ia64 sparc
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/cfdisk.8*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/sfdisk.8*
rm -f $RPM_BUILD_ROOT/sbin/cfdisk
rm -f $RPM_BUILD_ROOT/sbin/sfdisk
%endif
%ifarch ia64
rm -f $RPM_BUILD_ROOT/sbin/fdisk
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/fdisk.8*
%endif
%find_lang %{name}-ng %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{fillup_and_insserv -ps raw ACTIVATE_RAW_DEV}
%install_info --entry="* freeramdisk: (freeramdisk). tell kernel to free allocated memory for ramdisk" --info-dir=%{_infodir} %{_infodir}/freeramdisk.info.gz
%install_info --info-dir=%{_infodir} %{_infodir}/ipc.info.gz
%install_info --entry="* time: (time). summarizing used system resources" --info-dir=%{_infodir} %{_infodir}/time.info.gz
%install_info --entry="* which: (which). show the full path of (shell) commands" --info-dir=%{_infodir} %{_infodir}/which.info.gz
%run_permissions
# mount option 'code=' is now called 'codepage=' so change fstab
if [ -f etc/fstab ]; then
	sed -i 's:code=:codepage=:' etc/fstab
fi

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/freeramdisk.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/ipc.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/time.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/which.info.gz
%{insserv_cleanup}
%verifyscript
%verify_permissions -e /usr/bin/wall -e /usr/bin/write

%files -f %{name}.lang
# Common files for all archs
%defattr(-,root,root)
%doc login-utils/README.getty
%doc login-utils/README.modems-with-agetty
%doc login-utils/README.poeigl
%doc misc-utils/README.cal
%doc misc-utils/README.namei
%doc misc-utils/README.namei2
%doc mount/README.mount
%doc hwclock/README.hwclock
%doc text-utils/README.col
%doc README.largedisk
%config %attr(744,root,root) /etc/init.d/raw
%config(noreplace) %attr(644,root,root) /etc/raw
%config(noreplace) /etc/filesystems
/usr/sbin/rcraw
/bin/dmesg
/bin/more
/bin/mount
/bin/umount
/sbin/agetty
/sbin/blockdev
/sbin/elvtune
/sbin/ctrlaltdel
/sbin/fsck.minix
/sbin/fsck.cramfs
/sbin/losetup
/sbin/mkfs
/sbin/mkfs.bfs
/sbin/mkfs.minix
/sbin/mkfs.cramfs
/sbin/mkswap
/sbin/nologin
/sbin/pivot_root
/sbin/raw
/sbin/swapoff
/sbin/swapon
/bin/logger
/usr/bin/cal
/usr/bin/chrt
/usr/bin/col
/usr/bin/colcrt
/usr/bin/colrm
/usr/bin/column
/usr/bin/ddate
/usr/bin/flock
/usr/bin/getopt
/usr/bin/hexdump
/usr/bin/hostid
/usr/bin/ionice
/usr/bin/ipcrm
/usr/bin/ipcs
/usr/bin/isosize
/usr/bin/line
#/usr/bin/linux32
#/usr/bin/linux64
/usr/bin/look
/usr/bin/mcookie
/usr/bin/mesg
%ifnarch ppc ppc64
/usr/bin/mkzimage_cmdline
%endif
/usr/bin/namei
/usr/bin/rename
/usr/bin/renice
/usr/bin/rev
/usr/bin/script
#/usr/bin/setarch
/usr/bin/setsid
/usr/bin/ul
/usr/bin/tailf
/usr/bin/taskset
/usr/bin/time
/usr/bin/which
/usr/sbin/addpart
/usr/sbin/delpart
/usr/sbin/freeramdisk
/usr/sbin/partx
/usr/sbin/rtcwake
/usr/sbin/setctsid
%verify(not mode) %attr(0755,root,tty) /usr/bin/wall
/usr/bin/whereis
/usr/sbin/adjtimex
%verify(not mode) %attr(0755,root,tty) /usr/bin/write
%dir %{_defaultdocdir}/time
%dir %{_defaultdocdir}/which
%{_defaultdocdir}/time/*
%{_defaultdocdir}/which/*
%{_infodir}/ipc.info.gz
%{_infodir}/freeramdisk.info*.gz
%{_infodir}/time.info*.gz
%{_infodir}/which.info*.gz
%{_mandir}/man1/cal.1.gz
%{_mandir}/man1/chrt.1.gz
%{_mandir}/man1/col.1.gz
%{_mandir}/man1/colcrt.1.gz
%{_mandir}/man1/colrm.1.gz
%{_mandir}/man1/column.1.gz
%{_mandir}/man1/ddate.1.gz
%{_mandir}/man1/dmesg.1.gz
%{_mandir}/man1/flock.1.gz
%{_mandir}/man1/getopt.1.gz
%{_mandir}/man1/hexdump.1.gz
%{_mandir}/man1/ipcrm.1.gz
%{_mandir}/man1/ipcs.1.gz
%{_mandir}/man1/hostid.1.gz
%{_mandir}/man1/line.1.gz
%{_mandir}/man1/logger.1.gz
%{_mandir}/man1/look.1.gz
%{_mandir}/man1/mcookie.1.gz
%{_mandir}/man1/mesg.1.gz
%{_mandir}/man1/more.1.gz
%{_mandir}/man1/namei.1.gz
%{_mandir}/man1/ionice.1.gz
%{_mandir}/man1/readprofile.1.gz
%{_mandir}/man1/rename.1.gz
%{_mandir}/man1/rev.1.gz
%{_mandir}/man1/renice.1.gz
%{_mandir}/man1/setsid.1.gz
%{_mandir}/man1/script.1.gz
%{_mandir}/man1/setterm.1.gz
%{_mandir}/man1/tailf.1.gz
%{_mandir}/man1/taskset.1.gz
%{_mandir}/man1/ul.1.gz
%{_mandir}/man1/wall.1.gz
%{_mandir}/man1/whereis.1.gz
%{_mandir}/man1/write.1.gz
%{_mandir}/man1/which.1.gz
%{_mandir}/man5/fstab.5.gz
%{_mandir}/man8/addpart.8.gz
%{_mandir}/man8/agetty.8.gz
%{_mandir}/man8/blockdev.8.gz
%{_mandir}/man8/delpart.8.gz
%{_mandir}/man8/elvtune.8*
%{_mandir}/man8/ctrlaltdel.8.gz
%{_mandir}/man8/adjtimex.8.gz
%{_mandir}/man8/mkfs.bfs.8.gz
%{_mandir}/man8/mkfs.minix.8.gz
%{_mandir}/man8/fsck.minix.8.gz
%{_mandir}/man8/isosize.8.gz
%{_mandir}/man8/losetup.8.gz
%{_mandir}/man8/mkfs.8.gz
%{_mandir}/man8/mkswap.8.gz
%{_mandir}/man8/mount.8.gz
%{_mandir}/man8/nologin.8.gz
%ifnarch ppc ppc64
%{_mandir}/man8/mkzimage_cmdline.8.gz
%endif
%{_mandir}/man8/partx.8.gz
%{_mandir}/man8/pivot_root.8.gz
%{_mandir}/man8/raw.8.gz
%{_mandir}/man8/rtcwake.8.gz
#%{_mandir}/man8/setarch.8.gz
%{_mandir}/man8/swapoff.8.gz
%{_mandir}/man8/swapon.8.gz
%{_mandir}/man8/umount.8.gz
%{_mandir}/man8/setctsid.8.gz
/usr/sbin/flushb
/usr/sbin/readprofile
%dir /usr/share/getopt
%attr (755,root,root) /usr/share/getopt/getopt-parse.bash
%attr (755,root,root) /usr/share/getopt/getopt-parse.tcsh
%attr (755,root,root) /usr/share/getopt/getopt-test.bash
%attr (755,root,root) /usr/share/getopt/getopt-test.tcsh
#/usr/share/locale/*/LC_MESSAGES/util-linux-ng.mo
%ifnarch ia64
%doc fdisk/README.fdisk
/sbin/fdisk
%{_mandir}/man8/fdisk.8.gz
%endif
%ifnarch sparc ia64
%doc fdisk/README.cfdisk
%{_mandir}/man8/cfdisk.8.gz
%{_mandir}/man8/sfdisk.8.gz
/sbin/cfdisk
/sbin/sfdisk
%endif
%ifarch %ix86 x86_64
/usr/sbin/ramsize
/usr/sbin/rdev
/usr/sbin/rootflags
/usr/sbin/vidmode
%{_mandir}/man8/ramsize.8.gz
%{_mandir}/man8/rdev.8.gz
%{_mandir}/man8/rootflags.8.gz
%{_mandir}/man8/vidmode.8.gz
%endif
%ifnarch s390 s390x
#%config(noreplace) /etc/fdprm
/usr/bin/cytune
/usr/bin/fdformat
/sbin/hwclock
/usr/sbin/klogconsole
/usr/bin/setterm
/usr/sbin/tunelp
%{_mandir}/man8/cytune.8.gz
%{_mandir}/man8/fdformat.8.gz
%{_mandir}/man8/hwclock.8.gz
%{_mandir}/man8/klogconsole.8.gz
%{_mandir}/man8/tunelp.8.gz
%endif
# setarch links
#%ifarch %ix86 x86_64
#/usr/bin/i386
#%endif
#%ifarch x86_64
#/usr/bin/x86_64
#%endif 
#%ifarch s390 s390x
#/usr/bin/s390
#/usr/bin/s390x
#%endif
#%ifarch ppc ppc64
#/usr/bin/ppc
#/usr/bin/ppc32
#/usr/bin/ppc64
#%endif
#%ifarch ia64
#/usr/bin/i386
#/usr/bin/ia64
#%endif

%changelog
* Tue Dec 18 2007 - mkoenig@suse.de
- add temporary workaround for broken RTC update interrupts
  [#338419]
* Mon Dec 03 2007 - ro@suse.de
- remove "arch", in coreutils now
* Thu Nov 29 2007 - lnussel@suse.de
- update crypto patch
  * fix mount buffer overflow when reading the passphrase (#332148)
  * add loop_fish2 compatability code to losetup/mount again (#332095)
  * change default hash size for 128bit keys to sha256 again
* Wed Nov 21 2007 - mkoenig@suse.de
- update to git20071121:
  add sector size check for mkfs.minix [#308256]
  fix canonicalization for cifs [#338375]
- provide Short-Description for raw init script
- add rpmlintrc
* Tue Nov 20 2007 - mkoenig@suse.de
- fix raw path in init script
* Tue Nov 06 2007 - mkoenig@suse.de
- update to 2.13.0.1+git20071106
- prevent loop mounting the same file twice [#240653]
- merged upstream:
  util-linux-2.13-mount_helper_fix.patch
  util-linux-2.13-hwclock_rtc_option.patch
* Thu Oct 04 2007 - bg@suse.de
- don't use parisc, parisc32 and parisc64.
* Mon Oct 01 2007 - mkoenig@suse.de
- update to version 2.13
  merged upstream:
  util-linux-2.12r-disk_utils_mkfs_open_exclusive.patch
  util-linux-2.13-loop.patch
  util-linux-2.13-mount_create_mtab.patch
  util-linux-2.13-schedutils_error_handling.patch
  util-linux-2.13-sys_utils_build_rdev_x86_64.patch
- fix hwclock --rtc option [#326106]
- fix setuid/setgid mixup and error checking [#327022]
* Fri Sep 14 2007 - mkoenig@suse.de
- link cfdisk against libncursesw instead libncurses to fix
  broken utf-8 characters [#307353]
* Wed Aug 29 2007 - mkoenig@suse.de
- fix fd leaks in previous patch
* Tue Aug 28 2007 - lnussel@suse.de
- add support for specifying the key length and password hash
  algorithm [#304861]
* Fri Aug 24 2007 - mkoenig@suse.de
- avoid duplicates of root fs if defined with LABEL in fstab
  [#297959]
- fix ionice error handling [#301675]
* Thu Aug 16 2007 - ssommer@suse.de
- free loop devices when mount fails [#297172]
* Wed Jul 25 2007 - mkoenig@suse.de
- update to git20070725
- removed patches (merged upstream):
  util-linux-2.12r-mount_mount.8_xfs_update.patch
  util-linux-2.12r-sys_utils_readprofile_mapfile.patch
  util-linux-2.12r-disk_utils_mkswap_fix.patch
  util-linux-2.13-schedutils_ionice_idle.patch
* Tue Jul 17 2007 - mkoenig@suse.de
- updated to version 2.13-rc2:
  * add wakertc
- cleanup ionice usage [#270251]
- enable hwclock audit support [#280113]
- removed patches (merged/fixed upstream)
  util-linux-login_utils_wall.patch
  util-linux-mount_mount.8-acl.patch
  util-linux-2.12r-mount_mtab_update.patch
  util-linux-2.13-schedutils_chrt.patch
  util-linux-2.13-sys_utils_arch.patch
  util-linux-2.12a-mount_mountpointwithcolon.patch
  util-linux-2.12a-mount_procswapcheck.patch
  util-linux-2.12q-mount_umount2_not_static.patch
* Fri Jul 13 2007 - mkoenig@suse.de
- replace hotplug with nofail option and fix it to not use
  syscall reserved values.
- removed patch
  util-linux-2.11z-hwclock_geteuid.patch
  it is intentional that suid hwclock capabilities are limited
- removed patch (fixed upstream)
  util-linux-2.12q-mount_--move.patch
* Mon Jul 09 2007 - mkoenig@suse.de
- add libuuid-devel to BuildRequires to let mkswap use UUIDs
* Thu Jul 05 2007 - mkoenig@suse.de
- use %%config(noreplace) for /etc/filesystems
- Keep rdev stuff for x86_64
  util-linux-2.13-sys_utils_build_rdev_x86_64.patch
- removed patches (merged upstream)
  util-linux-2.12r-misc_utils_cal_formatting.patch
  util-linux-2.12q-sys_utils_ionice.patch
* Thu Jul 05 2007 - mkoenig@suse.de
- update to 2.13-rc1:
  * mount fixes
  * agetty: add 'O' escape code to display domain name
  * blockdev: add BLKFRAGET/BLKFRASET ioctls
  * fdisk: many significant improvements and fixes to Sun label handling
  * update po files
- removed patches (merged upstream):
  util-linux-2.11q-fdisk_fs_mac.patch
  util-linux-2.12r-fdisk_fdiskwrap.patch
  util-linux-2.12r-mount_racy_loop.patch
  util-linux-2.13-misc_utils_cal_ncurses.patch
  util-linux-2.13-mount_volumeid_label.patch
- use %%find_lang
* Thu Jun 21 2007 - mkoenig@suse.de
- use encoded label names with volume_id [#232929]
  util-linux-2.13-mount_volumeid_label.patch
* Thu Jun 14 2007 - mkoenig@suse.de
- mkzimage_cmdline: activate commandline if used with -s [#279935]
* Wed Jun 13 2007 - mkoenig@suse.de
- schedutils: let chrt accept pid 0 for current process and
  fix some documentation bugs [#266879]
  util-linux-2.13-schedutils_chrt.patch
* Wed Jun 06 2007 - mkoenig@suse.de
- update to git20070530
- removed patches
  util-linux-2.13-mount_volume_id.patch
  util-linux-2.12r-mount_by_uuid.patch
  util-linux-2.13-build_gnu_source.patch
- fix build with ncurses
* Tue Jun 05 2007 - mkoenig@suse.de
- update to git20070509
  mount: NFS code removed (use mount.nfs{,4} from nfs-utils)
- remove sm-notify (nfs-utils)
- removed patches
  util-linux-2.11u-mount_nfs_mount_acl.patch
  util-linux-2.12-mount_base_nfsv4.patch
  util-linux-2.12-mount_mountfallback.patch
  util-linux-2.12-mount_nfs_tcp.patch
  util-linux-2.12q-mount_strict_aliasing.patch
  util-linux-2.12r-mount_nfs_remount_options.patch
  util-linux-2.12r-mount_rpcsec_gss.patch
  util-linux-2.12r-mount_sec_manpage.patch
  util-linux-2.12r-mount_umount_nosysfs.patch
  util-linux-2.13-mount_nfs_timeo.patch
  util-linux-mount_nfs.8.patch
  util-linux-mount_warn_nfsudp.patch
* Tue Jun 05 2007 - pth@suse.de
- Update to which-2.16, mainly because regenerating configure
  with newer autotools works.
- Fix the patch for AC_CHECK_STATICLIB
- Our distribution doesn't install libiberty.a, so pass
  --disable-iberty to configure of which to not use a libiberty from
  somewhere else.
* Mon Jun 04 2007 - pth@suse.de
- Make configure of which search for static libs in lib64 subdirs.
* Mon Apr 23 2007 - mkoenig@suse.de
- update to git20070412
- remove chkdupexe and scriptreplay to get rid of the
  perl dependency [#265757]
  util-linux-2.13-build_no_perl_dependency.patch
- upstream integration of umount helper support [#252089]
- merged patches:
  util-linux-2.13-misc_utils_add_man_scriptreplay.patch
  util-linux-2.13-tests_missing_include.patch
* Mon Apr 16 2007 - mkoenig@suse.de
- fix initialization of offset in
  util-linux-2.12r-mount_racy_loop.patch [#264225]
* Tue Apr 10 2007 - mkoenig@suse.de
- update to version git20070330 of new forked development tree
- removed Suse crypto patches for losetup [FATE#302001]
- removed binaries:
  /bin/guessfstype
  /sbin/sln
  /usr/bin/setfdprm
- removed obsolete patches:
  * guessfstype2.patch
  * loop-AES-v3.0a-util-linux-2.12p.diff
  * mount-nfs-nonreserved
  * stupid-programmer.diff
  * util-linux-nodiratime.diff
  * util-linux-2.12-multipleraw.diff
  * util-linux-2.12-enablereplaybuild.diff
  * util-linux-2.12-mount_guessfstype.diff
  * util-linux-2.12h-mtablock.diff
  * util-linux-2.12i-x86_64intel.diff
  * util-linux-2.12q-null.diff
  * util-linux-2.12r.diff
  * util-linux-2.12r-fdisk_llseek.patch
  * util-linux-2.12r-mount-doubleslashessourceprefix-cifs.diff
  * util-linux-2.12r-mount_external_prog_on_guess.patch
  * util-linux-2.12r-nonfsmountfallback.diff
  * util-linux-2.12r-pagesize.patch
  * util-linux-2.12r-partx_enable.patch
  * util-linux-2.12r-partx_gpt_warning.patch
- add patches:
  * util-linux-2.13-misc_utils_add_man_scriptreplay.patch
  install man page for scriptreplay
  * util-linux-2.13-tests_missing_include.patch
  fix missing header in tests/mnt_test_sysinfo.c
  * util-linux-2.13-sys_utils_arch.patch
  keep /bin/arch
  * util-linux-2.13-build_gnu_source.patch
  build with _GNU_SOURCE
  * util-linux-2.13-build_fix_intel_check.patch
  detect also x86_64 as INTEL architecture
- rename patches to identify them clearly by subsystem
- schedutils now part of util-linux itself
* Wed Apr 04 2007 - mkoenig@suse.de
- add Supplements line [FATE#301966]
* Mon Mar 26 2007 - rguenther@suse.de
- add ncurses-devel and zlib-devel BuildRequires
* Thu Mar 15 2007 - mkoenig@suse.de
- mount: Let swapon automatically reinitialize a suspended
  swap partition [#254437]
* Fri Mar 09 2007 - mkoenig@suse.de
- mount: fix mtablock patch to avoid mtab corruption [#226783]
* Thu Mar 08 2007 - mkoenig@suse.de
- partx: fix warning for too long literal
* Wed Mar 07 2007 - rguenther@suse.de
- fix changelog entry order
* Tue Feb 27 2007 - mkoenig@suse.de
- fix missing return code in
  util-linux-2.12r-losetup_password.patch
- mount: fix race condition in mount -o loop [#242750]
* Mon Feb 12 2007 - mkoenig@suse.de
- remove legacy warnings from fdisk [#241372]
* Fri Feb 02 2007 - mkoenig@suse.de
- do not use O_EXCL for mkfs.cramfs [#241466]
* Wed Jan 31 2007 - mkoenig@suse.de
- let mkfs tools open with O_EXCL [#238687]
* Tue Dec 12 2006 - mkoenig@suse.de
- provide different return codes for losetup with encryption
  for empty and too short passwords. [#197493]
* Tue Dec 05 2006 - mkoenig@suse.de
- default swap to V1 in any case [#205956]
  patch: util-linux-2.12r-mkswap_fix.patch
- do not append addr option with each nfs remount [#130625]
  patch: util-linux-2.12r-nfs_remount_options.patch
- add README.largedisk about fdisk partition size constraints
  [#153657]
* Tue Nov 07 2006 - mkoenig@suse.de
- enable partx [#214992]
* Tue Oct 10 2006 - mkoenig@suse.de
- Round up partition end LBA to a cylinder boundary during
  add_partition() [#174892]
- Fix readprofile on ppc64 [#179122]
- Fix cal formatting bug [#203469]
* Mon Oct 09 2006 - mkoenig@suse.de
- Fix llseek issues.
- swapon.c: Do not use PAGE_SIZE macro.
* Mon Aug 21 2006 - mkoenig@suse.de
- Added sysfs to list of filesystems not to unmount with
  umount -a, resolves #190385
* Mon Jun 12 2006 - kay.sievers@suse.de
- use libvolume_id from provided as a rpm by udev 094
* Wed May 17 2006 - jeffm@suse.com
- Fixed support for calling external programs w/o -t <type>,
  it would add mtab twice [#176582]
* Mon Apr 24 2006 - hvogel@suse.de
- document xfs dmapi mount options better [#158955]
* Fri Apr 21 2006 - olh@suse.de
- add mkzimage_cmdline to edit CHRP zImage kernel cmdline (168313)
* Tue Apr 18 2006 - hvogel@suse.de
- fix number of supported raw devices [#165570]
* Wed Mar 29 2006 - olh@suse.de
- clearify comments about mac disk label handling in fdisk
* Tue Mar 28 2006 - hvogel@suse.de
- more fixes for the fdiskwrap patch [#160822]
* Tue Mar 21 2006 - okir@suse.de
- Update nfs(5) manpage to document security flavors [#159368]
* Mon Mar 20 2006 - hvogel@suse.de
- fix numbers of supported raw devices to match the kernel
  [#158203]
- make NFSv3 client support RPCSEC_GSS [#158401]
- fix that if the user doesn't specify -t <fstype>
  mount.fstype will never be called. [#155147]
* Fri Mar 10 2006 - hvogel@suse.de
- Fix init.d/raw script to parse device names with , in them
  correctly [#155653]
* Thu Mar 09 2006 - hare@suse.de
- Fix potential security hole in libvolume_id (#133256)
* Mon Mar 06 2006 - hvogel@suse.de
- patch fdiskmaclabel.h too
* Thu Mar 02 2006 - hvogel@suse.de
- axboe made fdisk not wrap at 2TB [#153657]
* Fri Feb 17 2006 - lmuelle@suse.de
- Use cifs instead of smbfs if the source starts with // and we do not set a
  different fs type.
* Sun Feb 12 2006 - olh@suse.de
- cosmetic fix for option_hotplug declaration
  fix unininitalized string for unknown filesystems (#148855)
* Fri Feb 10 2006 - hvogel@suse.de
- mount should not put / in the mtab twice if mount -f / is called
  [#148409]
- fix hostid printf [#149163]
* Wed Feb 01 2006 - olh@suse.de
- dont invent our own MS_FLAGS (#147132)
* Wed Feb 01 2006 - ro@suse.de
- fix typo in previous change, binary negation is "~"
* Fri Jan 27 2006 - sscheler@suse.de
- fixed mount hotplug option (#143352). now we don't send the
  MS_HOTPLUG flag to the kernel any longer, because the kernel
  doesn't know this option (EINVAL) and actually doesn't need to
  know about it.
* Fri Jan 27 2006 - olh@suse.de
- remove clock symlink, hwclock exists since 7 years
* Fri Jan 27 2006 - olh@suse.de
- lsprop and nvsetenv moved to powerpc-utils [#144758]
* Thu Jan 26 2006 - hvogel@suse.de
- Make nfsboot world readable [#145418]
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 - mmj@suse.de
- Remove faulty nfs fallback code [#139019]
* Mon Jan 16 2006 - mmj@suse.de
- Add patch for nsetenv to fix short reads/short writes [#142546]
* Wed Jan 11 2006 - mmj@suse.de
- Update sm-notify [#141542]
* Wed Jan 04 2006 - mmj@suse.de
- Update to 2.12r including since 2.12q:
  o cfdisk: fix a segfault with ReiserFS partitions
  o umount: disallow -r option for non-root users
* Tue Nov 22 2005 - mmj@suse.de
- install proper renice manpage [#132470]
* Tue Nov 15 2005 - uli@suse.de
- umount2 is not static (only fails on ARM, surprisingly)
- added ARM ionice syscalls
* Fri Nov 11 2005 - hare@suse.de
- Fix reverse-mapping of by-UUID and by-LABEL mounts.
* Thu Nov 10 2005 - hare@suse.de
- Fix a mishandling of by-UUID mounts.
- Use libvolume_id from udev.
* Sat Oct 22 2005 - mmj@suse.de
- Increase lsprop.c max property size to 4k [#128155]
* Mon Oct 10 2005 - mmj@suse.de
- Add -fno-strict-aliasing to nfsmount_xdr.c
* Mon Oct 03 2005 - mmj@suse.de
- Teach the mount manual page about nodiratime [#118987]
* Thu Sep 29 2005 - mmj@suse.de
- Patch from jakub007@go2.pl to make mount --move update
  /etc/mtab correctly [#115129]
* Tue Sep 13 2005 - mmj@suse.de
- Only allow root to pass -r to umount [#116741]
* Mon Sep 05 2005 - mmj@suse.de
- MAC -> Mac [#104081]
* Fri Sep 02 2005 - mmj@suse.de
- Don't package manual executable [#114849]
* Thu Sep 01 2005 - mmj@suse.de
- Add patch for device-mapper mount by label support [#75966]
* Thu Sep 01 2005 - ro@suse.de
- provide and obsolete schedutils
* Tue Aug 23 2005 - hvogel@suse.de
- update ionice patch by axboe so that ionice will complain about
  missing sys_ioprio_set support, but it will still
  execute the process.
* Mon Aug 22 2005 - hvogel@suse.de
- Fix rpm verify output [#105807]
  (ghost entry for /var/lib/nfs/state)
* Mon Aug 22 2005 - schwab@suse.de
- Fix stupid buffer overflow bug in cfdisk [#66020].
* Wed Aug 17 2005 - hare@suse.de
- Add option 'hotplug' to mount (#104405)
* Mon Aug 15 2005 - schwab@suse.de
- Always build with RPM_OPT_FLAGS.
* Thu Aug 11 2005 - mmj@suse.de
- Patch from Patrick Kirsch to make fdisk detect MAC-fs [#104081]
* Wed Aug 03 2005 - mmj@suse.de
- Merge schedutils to here (it's happened upstream already)
* Tue Aug 02 2005 - mmj@suse.de
- Support for s390 and s390x
* Mon Aug 01 2005 - mmj@suse.de
- It's not __ppc_ and __ppc64__ but __powerpc__ and __powerpc64__
* Mon Aug 01 2005 - mmj@suse.de
- Add ionice binary from Jens Axboe
* Wed Jun 29 2005 - mmj@suse.de
- Document load and clearly issues about NFS over UDP [#80263]
- Don't compile with -fsigned-char [#93886]
* Tue May 31 2005 - okir@suse.de
- Added NFSv4 support
* Mon May 09 2005 - hvogel@suse.de
- move hashalot and cryptsetup tools to util-linux-crypto
* Tue Apr 12 2005 - mmj@suse.de
- bump TCP timeo to 600 [#76198]
* Tue Mar 29 2005 - mmj@suse.de
- Add awareness of twofishSL92 [#74359]
- Update hashalot to version 0.3
* Mon Mar 14 2005 - okir@suse.de
- Changed sm-notify to recognize host names as well as addresses.
* Thu Mar 10 2005 - mmj@suse.de
- Don't strip anything explicitly
- Don't compile with -fno-strict-aliasing [#66020]
* Fri Feb 04 2005 - schwab@suse.de
- Fix stupid programmer.
* Mon Jan 24 2005 - meissner@suse.de
- implicit strcmp / strerror in setctsid fixed.
- 0 -> NULL in an execl
* Fri Jan 21 2005 - mmj@suse.de
- Sleep after inserting the raw module to make sure it's ready [#49807]
- Update to 2.12q including since 2.12p:
  o New upstream maintainer - Adrian Bunk <bunk_at_stusta_dot_de>
  o sfdisk: add -G option
  o Updated translations
* Tue Jan 18 2005 - okir@suse.de
- Updated sm-notify; try not to stall bootup my moving the NSM
  state update after we've backgrounded (#49072).
* Mon Jan 10 2005 - mmj@suse.de
- Update adjtimex to 1.20
- Update to util-linux-2.12p including since 2.12i:
  o cfdisk: fix number of new partition when partitions not in disk order
  o fdisk: fix Sun label handling in sector mode
  o mkfs: never truncate filename (not that that ever happened)
  o more: fix redraw flaw
  o lomount: revert patch from 2.12j
  o lptune.8: -T option is obsolete
  o mkswap, mkswap.8, swapon: support labels
  o umount: allow user unmounting repeatedly mounted nfs mounts
  o cfdisk: recognize JFS, support reiserfs labels
  o mount: fix option parsing bug
  o mount.8: several updates
  o swapon.8: document -v option
  o Makefile: remove cat-id-tbl.c upon make clean
  o fdisk: fixed a bug that would cause a non-update of a sun disklabel
  o fdisk: use sectorsize instead of 512 for SGI
  o hwclock: actually use HAVE_tm_gmtoff
  o swapon: fix priority handling
  o umount: refuse to unmount an empty string
  o configure, MCONFIG: detect gcc 3.4.0 and use -mtune option
  o configure: do not run ./conftest (for cross compilation)
  o fsck.cramfs: try to get correct PAGE_CACHE_SIZE
  o losetup: try to give better error messages
  o readprofile: default map file is /boot/System.map
  o rdev.8: added historical info on ramdisk
  o cal: highlight today
  o lomount: stop reading passwd at NUL, fix lo_encrypt key_size
  o losetup: add -f option to find an unused loop device
  o more: code cleanup
  o mount: add "group" mount option
  o sfdisk: fix 2.6.8 BLKRRPART ioctl damage
  o swapon: let swapon -a skip the swapfiles marked "noauto"
  o umount: fix problem with empty mtab
  o umount: use special umount program if it exists
  o new flock binary
  o New messages
* Tue Nov 30 2004 - mmj@suse.de
- Install ramsize, rdev, rootflags and vidmode on x86-64 [#48633]
* Fri Nov 12 2004 - schwab@suse.de
- Don't install *fdisk on ia64.
* Fri Nov 12 2004 - ro@suse.de
- correct permissions handling for wall and write
* Tue Nov 09 2004 - mmj@suse.de
- Fix segfault with mount -l [#48029]
* Fri Nov 05 2004 - mmj@suse.de
- Update to util-linux-2.12i including:
  o MCONFIG: fix build conditions
  o chfn, chsh: add error checking
  o cytune: use local header cyclades.h
  o fdisk: fix default SGI volume header size
  o fstab.c: use strsignal() instead of sys_siglist[]
  o hwclock: use <sys/io.h> when available on i386
  o hwclock: dont try KDGHWCLK on archs other than __m68k__
  o sfdisk: correct typo in __attribute__used nonsense
  o sfdisk: use PACKED on __arm__
  o sfdisk: fix warning printout
* Thu Nov 04 2004 - mmj@suse.de
- Update to util-linux-2.12h including:
  o cfdisk: avoid crash if no partition table
  o elvtune: tell user that this only works on 2.4 kernels
  o lomount: clear passwords after use
  o mount: accept comments (specified by comment=) in fstab
  o mount: support ocfs, ocfs2
  o [u]mount: be more careful with malloc, try to avoid OOM with
  many mounts
  o sfdisk: __attribute__used nonsense to support gcc 3.4
  o shutdown: do not unmount various virtual filesystems
  o mount.8: added recent ext2 mount options
  o mount: support jfs mount-by-label, improve reiserfs support
  o sfdisk: remove strange "ends in a digit" heuristic
  o *fdisk: use common disksize() routine
* Tue Oct 19 2004 - mmj@suse.de
- Add patch from SGI for fdisk label [#47368]
* Tue Sep 28 2004 - mmj@suse.de
- And another one [#46201]
* Wed Sep 15 2004 - mmj@suse.de
- Add patch from Andries to fix cfdisk [#44996]
* Tue Sep 07 2004 - mmj@suse.de
- Update to util-linux-2.12c including:
  o mount.8: added recent ext2 mount options
  o mount: support jfs mount-by-label, improve reiserfs support
  o sfdisk: remove strange "ends in a digit" heuristic
  o *fdisk: use common disksize() routine [#44678]
* Wed Aug 25 2004 - mmj@suse.de
- Update to util-linux-2.12b including:
  o  chsh: improved error message
  o  dmesg: ask kernel proper buffer size
  o  losetup: handle 64-bit offsets
  o  blockdev: also report BLKGETSIZE64 result [#43464]
  o  blockdev, elvtune, fdisk: handle new kernel _IOR,_IOW defines
  o  fdisk: remove strange "ends in a digit" heuristic
  o  fdisk: also list Solaris as possible type for 0x82
  o  mount: added --rbind option
  o  mount: use blkid library
  o  mount: support reiserfs mount by label
  o  mount: attempt to use the right definition of dev_t in struct
  loopinfo
  o  mount.8: jfs mount options added
  o  readprofile: new -s option
  o  rename.1: added ref to mmv.1
  o  replay: renamed to scriptreplay; correct typos
  o  script: do not use locale for time delay floating point number
  format
  o  sfdisk: error messages to stderr
  o  New Catalan, Dutch, Finnish, French, German, Spanish, Swedish,
  Turkish, Ukrainian messages
- Update the loop-AES patch, thanks to Sumit Bose
- Change the minimum password length to 8 chars
* Tue Aug 24 2004 - mmj@suse.de
- Fix signed/unsigned bug in lsprop [#44048]
* Wed Aug 18 2004 - mmj@suse.de
- Readd patch that got lost to make fdisk -l work better with
  RAID controllers [#43485]
* Mon Aug 09 2004 - mmj@suse.de
- Add an improved version of the dmesg bufsize patch.
* Tue Jun 22 2004 - mmj@suse.de
- Add patch to try and guess a filesystem type before blindly
  assuming it's nfs because of the colon [#42097]
* Mon Jun 14 2004 - agruen@suse.de
- Formatting error in mount.8 manual page.
* Wed Jun 09 2004 - mmj@suse.de
- Add patch from Olaf Kirch to make protocol selection for mount
  independent of protocol selection for NFS, and picks what is
  available (preferring TCP over UDP) [#41735]
* Wed Jun 09 2004 - mls@suse.de
- add '-f' option to setctsid
* Thu May 27 2004 - okir@suse.de
- sm-notify now binds to a reserved port
* Sat May 15 2004 - mmj@suse.de
- Add documentation about raw device handling [#39037]
* Mon May 10 2004 - mmj@suse.de
- Make dmesg dump entire buffer. Patch from Andries/odabrunz [#39761]
* Thu May 06 2004 - mmj@suse.de
- Also check if the device is the same when doing swapon. Could be
  the same block device with 2 different names [#39436]
* Wed May 05 2004 - mmj@suse.de
- Do a /sbin/modprobe raw when invoking raw devices [#39037]
* Tue Apr 20 2004 - mmj@suse.de
- Update to 2.12a including:
  o fdisk: fix for kernels 2.4.15-2.4.17
  o fdisk: fix when all partitions are in use
  o hwclock: add a timeout when waiting for a clock update
  o ipcs: compilation fix
  o ipcs: shminfo.shmall gives pages
  o mount: efs support
  o partx: bigendian fix
  o readprofile: support for 64-bit addresses
  o setterm: fix klogctl error message
  o setterm.1: clarification
  o sfdisk: fix check for is_ide_cdrom_or_tape
  o umount: skip proc, devfs, devpts on umount -a
* Mon Apr 19 2004 - mmj@suse.de
- Add patch for unlimited raw devices [#39037]
* Thu Apr 15 2004 - mmj@suse.de
- Make sm-notify be more quiet when nothing wrong, and log to sys-
  log when something is.
* Tue Apr 06 2004 - mmj@suse.de
- Don't use startproc for sm-notify [#38481]
* Mon Apr 05 2004 - mmj@suse.de
- Removing elvtune alltogether was a bit drastic, since it of
  course works fine with 2.4 kernels. So print a warning in case
  the BLKELVGET ioctl returns something indicating 2.6 kernels.
* Thu Apr 01 2004 - mmj@suse.de
- Don't package elvtune anymore since it's obsolete now that io
  scheduler can be tuned in /sys/block/hdX/queue/iosched/* [#37869]
* Wed Mar 31 2004 - mmj@suse.de
- Apply util-linux-2.12a fixes for hwclock and readprofile. The
  hwclock bit is a timout fix which hopefully fixes [#35877]
- Move sm-notify to here from nfs-utils [#36737]
* Mon Mar 29 2004 - mmj@suse.de
- Adjust warnings about Crypto-API
* Sun Mar 28 2004 - mmj@suse.de
- Add patch to make script allways use the same LC_NUMERIC [#35476]
* Fri Mar 26 2004 - od@suse.de
- Add setctsid by Werner Fink [#37177]
* Fri Mar 26 2004 - mmj@suse.de
- Mount option "code" is now "codepage" so update /etc/fstab in
  postinstall [#36950]
* Fri Mar 26 2004 - mmj@suse.de
- Remove false statement in nfs.5 about the linux kernel not
  supporting nfs over tcp [#37060]
* Wed Mar 17 2004 - mmj@suse.de
- Use correct permissions for README.hashalot [#36303]
* Mon Mar 08 2004 - mmj@suse.de
- Enable build of replay [#35434]
* Wed Feb 25 2004 - mmj@suse.de
- Use loop-AES-v2.0f-util-linux-2.12.diff instead of losetup patch
  added earlier. Thanks Sumit Bose!
* Thu Feb 19 2004 - mmj@suse.de
- Add cryptsetup script from Christophe Saout, for usage with the
  new dm-crypt.
* Mon Feb 16 2004 - mmj@suse.de
- Add losetup patch and hashalot program from Ben Slusky
* Sun Feb 01 2004 - kukuk@suse.de
- Remove newgrp again (will use POSIX conform version)
* Fri Jan 16 2004 - kukuk@suse.de
- Add pam-devel to neededforbuild
* Mon Jan 12 2004 - mmj@suse.de
- Adjust the nfs.5 manual page to reflect we're mounting nfs over
  tcp pr. default.
- Collapse two similar patches 2 one.
* Fri Dec 19 2003 - garloff@suse.de
- Fix by okir for previous patch.
* Fri Dec 19 2003 - garloff@suse.de
- Add patch to fallback to UDP if TCP NFS mount fails.
* Tue Dec 02 2003 - mmj@suse.de
- Make patch to guess if a CD is a CD-Extra [#30316]
- Adjust patch that moves ext2/3 in front of vfat
- Regenerate patches (filename still tells when they were added)
* Tue Nov 18 2003 - mmj@suse.de
- Mount NFS over TCP pr. default [#33018]
* Thu Nov 13 2003 - mmj@suse.de
- Update to util-linux-2.12 including:
  o losetup: -p option specifies fd for passphrase
  o fdisk: sgi layout fix
  o mount: -p option specifies fd for passphrase
  o mount: recognize some PCDOS floppies
  o umount: in "umount name", first try to interpret "name" as a mount point
  o translations updates for several languages
  o cfdisk: localize the Y/N answer, improve printing localized messages
  o cfdisk: make various variables long long - some disks are close to 2 TB
  o cfdisk: use BLKGETSIZE64
  o fdisk: make various variables unsigned to lengthen the life of 32-bit vars
  o fdisk: some sgi fixes
  o fdisk: k=1000, K=1024
  o fdisk: removed last occurrences of HDIO_REQ
  o fdisk: use BLKGETSIZE64
  o hwclock: fix rtc test
  o login: set a timeout on printing the timeout message
  o md5: x86_64 fix
  o more: POSIX fixes
  o mount: do not supply MS_MGC_VAL when there are conflicting flags
  o mount: ncp and smb are called smbfs and ncpfs - global change
  o mount: add support for xvm mount by label
  o mount: correct hfs magic recognition
  o mount: keep original umask - it influences the mount call
  o raw.8: documented unbinding of raw devices
  o readprofile: fixed off-by eight error
  o script: add -c option
  o sfdisk.8: added an example of partitioning with logical partitions
  o sfdisk: only add a AA55 signature for DOS-type partition tables
  o tailf: new
* Tue Oct 21 2003 - mmj@suse.de
- Correct permissions
* Tue Oct 21 2003 - ja@suse.cz
- added support for cryptoloop in 2.6.x kernels.
* Wed Oct 15 2003 - mmj@suse.de
- Don't build as root
* Mon Oct 13 2003 - kukuk@suse.de
- Enable newgrp
* Thu Oct 02 2003 - kukuk@suse.de
- Fix compiling with kernel 2.6.0-test6 header files
* Tue Aug 12 2003 - mmj@suse.de
- Update to pmac-utils-2.1 sources and only include nvsetenv
* Tue Aug 12 2003 - mmj@suse.de
- Add mount_guessfstype support for PCDOS [#27814]
* Wed Jun 18 2003 - ak@suse.de
- support noreserved option for NFS (#27428)
* Thu Jun 05 2003 - mmj@suse.de
- Rearrange the specfile wrt. archs
* Tue May 13 2003 - mmj@suse.de
- Use %%defattr
- Remove files we don't package
* Wed May 07 2003 - mmj@suse.de
- Rearrange the do_guess_fstype() code to look for ext2/3 before
  vfat [#26581]
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Mon Apr 14 2003 - pthomas@suse.de
- Get rid of the syscall for adjtimex in selective cases and
  just call the glibc wrapper. Fixes build on s390.
* Mon Apr 14 2003 - pthomas@suse.de
- Use geteuid instead of getuid in hwclock to enable making
  hwclock suid root.
* Mon Apr 07 2003 - mmj@suse.de
- Only delete info entries when removing last version.
* Thu Mar 13 2003 - mmj@suse.de
- Apply patch to make sfdisk not destroy BSD slices [#25093]
* Mon Mar 03 2003 - mmj@suse.de
- Remove superflous umask(033); calls [#23292]
* Mon Mar 03 2003 - ro@suse.de
- add missing info dir entries
* Tue Feb 18 2003 - agruen@suse.de
- Add description of the effect of `mount -t nfs -o noacl' on
  the use of the GETACL and SETACL remote procedure calls to
  the nfs(5) manual page.
* Mon Feb 17 2003 - mmj@suse.de
- It's called smbfs not smb [#23697]
* Thu Feb 13 2003 - mmj@suse.de
- Readd patch for passphrase timeout that got lost [#23527]
* Fri Feb 07 2003 - mmj@suse.de
- The install_info macros need PreReq: %%install_info_prereq
* Fri Feb 07 2003 - ro@suse.de
- added install_info macros
* Tue Feb 04 2003 - ro@suse.de
- don't package /bin/kill (part of coreutils now)
* Tue Feb 04 2003 - meissner@suse.de
- Include tarball with pmac-utils manpages, so we do not need
  sgmltool and all its dependents.
* Wed Jan 29 2003 - mmj@suse.de
- Update to util-linux-2.11z including:
   Translation updates
   mount: fix LABEL= handling for user umount, don't abort on read
  error with photocds and add dmask and fmask vfat mount options
   setterm: accept devfs name
   simpleinit: security: refuse initctl_fd if FD_CLOEXEC fails
   umount: allow user umount after mount by label or uuid
* Wed Jan 22 2003 - sf@suse.de
- removed last patch, added new (correct) patch
* Wed Jan 22 2003 - sf@suse.de
- removed eliminate_doubles() from mkfs.cramfs.c
  for x86_64, as it segfaults.
  (makes the images slightly larger, about 10%%)
* Tue Jan 21 2003 - mmj@suse.de
- Added description of ISO mount options to mount.8 [#22915]
* Mon Dec 02 2002 - mmj@suse.de
- Update the ReiserFS patch from Chris Mason
* Fri Nov 29 2002 - mmj@suse.de
- Fix missing #include <errno.h>
* Thu Nov 28 2002 - mmj@suse.de
- Make readprofile also try to locate the System.map in
  /boot/System.map-`uname -r` [#22168]
* Wed Nov 27 2002 - mmj@suse.de
- Update to util-linux-2.11y including:
  o Translation updates
  o fdisk,cfdisk: cosmetic fixes
  o mount,umount: fix LABEL= handling for non-root [#17322]
  o more: kill external help file
  o simpleinit: security: refuse initctl_fd if setting FD_CLOEXEC
  fails (patch we had, now folded upstream)
* Wed Nov 20 2002 - mmj@suse.de
- Update to util-linux-2.11x including:
  o Translation updates for several languages
  o cfdisk: correct error printout
  o fdisk: allow addition of a new partition when logicals all used
  but primary free
  o hwclock: detect systime jumps backward during setting hwclock
  o Merge of the cramfs bloksize patch
  o mount: new --rbind flag, for recursive loopback mounts
  o mount, umount: new -O option
  o setpwnam.c: open temp pw file with O_EXCL
  o simpleinit: fix for "spawn too fast"
  o swapon: new -e option
* Tue Nov 19 2002 - mmj@suse.de
- Fix multistring assignment in adjtimex
* Mon Nov 11 2002 - ro@suse.de
- changed neededforbuild <sp> to <opensp>
- changed neededforbuild <sp-devel> to <>
* Thu Oct 31 2002 - mmj@suse.de
- Add -b option to mkfs.cramfs (needed for biarch architectures)
* Thu Oct 31 2002 - ro@suse.de
- hack time to build on alpha
* Tue Oct 22 2002 - mmj@suse.de
- Add correction to the ReiserFS patch that fixes the case where it
  was possible but unlikely to detect a logged copy of a super on a
  dedicated logging device as the real thing. From Chris Mason.
* Tue Oct 22 2002 - mmj@suse.de
- Update to util-linux-2.11w including:
  o fdisk and cfdisk fixes
  o more bigendian fix
  o translation updates
  o > 2GB swapspace
  o mount umask, cramfs and ocfs stuff
* Tue Oct 08 2002 - mmj@suse.de
- Only enable below patch on ix86 and x86_64
* Mon Oct 07 2002 - mmj@suse.de
- Make small bugfix to below patch
* Sat Oct 05 2002 - mmj@suse.de
- Apply patch to enable > 2GB swap (redhat) [#20533]
* Wed Oct 02 2002 - mmj@suse.de
- Add one-liner security fix to mount and umount.
* Mon Sep 23 2002 - mmj@suse.de
- Readd fix for klogconsole that got lost [#19834]
* Fri Sep 13 2002 - mmj@suse.de
- Added patch from Oracle to mount ocfs by label [#19262]
* Thu Sep 12 2002 - mmj@suse.de
- more: Do not cast char * to int and back [#18896]
* Sat Aug 31 2002 - olh@suse.de
- add mount_cramfs_be.diff to allow mount -oloop cramfsfile loopdir
* Mon Aug 26 2002 - mmj@suse.de
- Make mode not 666 when writing /etc/mtab [#18342]
* Mon Aug 26 2002 - meissner@suse.de
- quieten klogconsole if the console does not support TIOCLINUX [#12516]
* Thu Aug 22 2002 - mmj@suse.de
- Added patch from Andreas Gruenbacher for nfs-access-acl [#18183]
* Wed Aug 21 2002 - mmj@suse.de
- Fixed an mtab locking bug with patch from Olaf Kirch [#17637]
* Mon Aug 19 2002 - mmj@suse.de
- Updated reiserfs patch from Chris Mason
- Added patch for mount.8, thanks Andreas Gruenbacher
* Thu Aug 15 2002 - mmj@suse.de
- Correct PreReq:
* Mon Aug 05 2002 - mmj@suse.de
- Update to 2.11u which includes:
  o Danish, German, Spanish, Swedish and Turkish updates.
  o configure: for fsck.cramfs, mkfs.cramfs: add test for libz
  o text-utils/Makefile: pg fix
  o agetty: use same test as login does to find utmp entry
  o fdisk: fix for fdisk on empty disk
  o mount updates
* Tue Jul 23 2002 - schwab@suse.de
- Fix mkfs.cramfs for architectures with non-4k pages.
* Wed Jul 17 2002 - mmj@suse.de
- Merged base into util-linux
* Mon Jul 15 2002 - mmj@suse.de
- Added JFSv2 patch from Christoph Hellwig for volume label. Does
  for JFS, what below patch does for ReiserFS.
* Sun Jul 14 2002 - adrian@suse.de
- fix ul-2.10m-sgi-fdisk.diff patch to apply again
* Thu Jul 11 2002 - mmj@suse.de
- Added patch from Chris Mason for volume label on reiserfs
* Wed Jul 10 2002 - olh@suse.de
- add mkfs.cramfs and fsck.cramfs to file list
* Wed Jul 10 2002 - mmj@suse.de
- Fixed nfs.5 to tell nfsver defaults to 3 [#16815]
* Mon Jul 08 2002 - mmj@suse.de
- Update to 2.11t which includes
  * fdformat: remove test on major
  * fdisk, hwclock and swap polishing
  * Lots of translations
  * cramfs tools includes from the kernel
  * swap{on,off} honours /proc/swaps
  * mount small fixups
* Fri Jul 05 2002 - kukuk@suse.de
- Use %%ix86 macro
* Mon Jul 01 2002 - bk@suse.de
- get raw built on s390 and s390x
- remove %%ifarchs s390 s390x for fdisk(needed for SCSI disks)
* Mon Jun 17 2002 - mmj@suse.de
- Added a fix for simpleinit exploit.
* Thu Jun 13 2002 - olh@suse.de
- disable hwclock ppc patch, maybe obsolete with recent kernels
* Thu May 16 2002 - mmj@suse.de
- Added manpage guessfstype(8)
* Thu May 09 2002 - mmj@suse.de
- Updated to util-linux-2.11r, including translations, x86-64 sup-
  port and small bugfixes.
* Sat Apr 13 2002 - mmj@suse.de
- Updated to util-linux-2.11q, includes bugfixes.
- util-linux-mkswap.patch for ia64 was folded into mainline
* Fri Apr 12 2002 - stepan@suse.de
- added x86-64 support.
* Thu Apr 04 2002 - ihno@suse.de
- corrected printf to report shared memories sizes bigger than
  2 GByte correct (Bug #15585). It was reportet on s390x, but
  should effect other 64-Bit systems as well.
* Tue Mar 19 2002 - mmj@suse.de
- Updated to 2.11o. The hexdump patch have been dropped since it
  was folded to mainline util-linux.
* Fri Mar 15 2002 - schwab@suse.de
- Fix mkswap for ia64.
* Mon Mar 04 2002 - draht@suse.de
- permissions fixes for write(1) and wall(1)
* Fri Feb 01 2002 - mmj@suse.de
- Moved /usr/bin/logger to /bin/logger (needed by sysconfig)
* Mon Jan 28 2002 - mmj@suse.de
- Added the guessfstype binary from msvec/fehr
* Thu Jan 24 2002 - ro@suse.de
- modified fillup_and_insserv call (perl-hack not needed here)
* Mon Jan 21 2002 - mmj@suse.de
- Merge NetBSD hexdump changes, fixes bugzilla #12801
* Thu Jan 10 2002 - ro@suse.de
- removed ACTIVATE_RAW_DEV
* Mon Dec 31 2001 - adrian@suse.de
- add patch for mips to create SGI partition tables with fdisk
* Tue Dec 18 2001 - bjacke@suse.de
- add adjtimex
* Mon Dec 10 2001 - mmj@suse.de
- Update to util-linux-2.11n
* Tue Nov 20 2001 - mmj@suse.de
- Added a patch to 'wall' to remove unwanted newline (#12181)
* Wed Nov 07 2001 - kukuk@suse.de
- Remove unneeded SPARC patch for hwclock
* Sat Oct 13 2001 - kukuk@suse.de
- Update to util-linux 2.11l
* Wed Sep 12 2001 - garloff@suse.de
- Fixed some dutch translations. (bug #10276)
* Mon Sep 10 2001 - olh@suse.de
- marry fdisk and AIX label again...
  add lsprop for ppc
  dumps the device tree in a human readable format
* Mon Sep 03 2001 - kukuk@suse.de
- Update to version 2.11i:
  - blockdev: corrected ioctl numbers
  - cal: fixed for multibyte locales
  - line: new
  - mount: added vxfs magic
* Sat Sep 01 2001 - kukuk@suse.de
- Let mount follow symlinks again
* Wed Aug 29 2001 - kukuk@suse.de
- Add new option to losetup manual page
* Tue Aug 28 2001 - draht@suse.de
- added timeout support for losetup (-t <timeout>)
* Mon Aug 27 2001 - kukuk@suse.de
- Add raw rc scripts, too
* Sun Aug 26 2001 - bjacke@suse.de
- added raw binary and put rawio into obsoletes and provides
* Sat Aug 25 2001 - kukuk@suse.de
- Fix path in getopt.1 manual page to example directory [Bug #9831]
* Fri Aug 24 2001 - kukuk@suse.de
- Small fix for hwclock on newer SPARCs
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Mon Jul 30 2001 - kukuk@suse.de
- Update to util-linux-2.11h
- Add nologin program
* Tue Jul 10 2001 - kukuk@suse.de
- Remove swapdev from filelist
* Tue Jul 10 2001 - kukuk@suse.de
- Update to util-linux-2.11g
* Wed Jun 06 2001 - bk@suse.de
- added s390x to all ifnarch s390
* Fri Apr 20 2001 - kukuk@suse.de
- Fix wall bug (character 80, 160, 240, are missing) [Bug #6962]
* Mon Mar 26 2001 - kukuk@suse.de
- Add exception for broken i2o disk device numbering scheme, kernel
  hacker are not able to fix this and make it right [Bug #5881].
* Sat Mar 24 2001 - kukuk@suse.de
- Update to util-linux 2.11b
* Thu Mar 15 2001 - kukuk@suse.de
- Fix changing of partitions with ID 0 on SPARC
- Remove duplicate mount patch
* Wed Mar 14 2001 - schwab@suse.de
- Don't use _syscallX on ia64.
- Fix missing includes.
* Wed Mar 14 2001 - kukuk@suse.de
- Update to version 2.11a
* Fri Mar 02 2001 - kukuk@suse.de
- enable write again
* Mon Feb 12 2001 - kukuk@suse.de
- cmos.c: Use sys/io.h, fix PowerPC hack
* Tue Feb 06 2001 - ro@suse.de
- wall.c: include time.h
* Mon Feb 05 2001 - kukuk@suse.de
- Split hex to extra package
- Update to util-linux-2.10s
* Fri Feb 02 2001 - werner@suse.de
- Make swapon/swapoff more handy:
  * Ignore swap files on ro mounted file systems
  * If -a is given ignore already active devices at swapon
  * If -a is given ignore not active devices at swapoff
* Thu Jan 25 2001 - ro@suse.de
- added Provides: util
* Fri Jan 12 2001 - garloff@suse.de
- Apply patch to lomount to allow all kerneli crypt algos to be
  passed and allow to pass passwd with -k.
- losetup seems to support >2GB files just fine (#5433)
* Tue Jan 02 2001 - kukuk@suse.de
- Save permissions of /etc/mtab [Bug #5027]
* Tue Dec 05 2000 - kukuk@suse.de
- Search first in /etc/filesystems, then in /proc/filesystems
* Tue Dec 05 2000 - kukuk@suse.de
- Use AIX/fdisk patch from util-linux-2.10r
- Backport "guess filesystems" from util-linux-2.10r
* Tue Dec 05 2000 - schwab@suse.de
- Don't use _syscallX on ia64.
* Mon Dec 04 2000 - olh@suse.de
- fix diff again
* Sun Dec 03 2000 - olh@suse.de
- no segfaults with AIX disklabels
* Wed Nov 29 2000 - uli@suse.de
- fixed to build on PPC
* Mon Nov 27 2000 - schwab@suse.de
- Fix broken casts in hwclock.
* Thu Nov 23 2000 - bk@suse.de
- temporary disable pivot_root on s390(2.4 kernel is not yet built)
* Wed Nov 22 2000 - schwab@suse.de
- Add pivot_root to file list.
* Mon Nov 20 2000 - kukuk@suse.de
- Fix pmac-utils to compile with new kernel
* Fri Nov 17 2000 - kukuk@suse.de
- Fix hwclock to compile on PPC
* Wed Nov 15 2000 - kukuk@suse.de
- Update util-linux to 2.10q, merge flushb.diff
* Thu Nov 02 2000 - kukuk@suse.de
- Remove some of the last specfile changes
* Wed Nov 01 2000 - olh@suse.de
- update pmac-utils for new powermacs, cleanup specfile
* Fri Oct 20 2000 - kukuk@suse.de
- Update util-linux to 2.10p
- Rename package from util to util-linux
* Wed Sep 27 2000 - kukuk@suse.de
- Allow NFS v3 with 2.2.17.SuSE
* Tue Sep 26 2000 - kukuk@suse.de
- Fix mount for new NFS kernel patch
* Sat Sep 09 2000 - kukuk@suse.de
- Remove tcsh dependency
- Update to util-linux 2.10o, use of /etc/filesystems is still broken
* Fri Aug 25 2000 - pthomas@suse.de
- use %%{_mandir} and %%{_infodir} exclusively. This allows building
  from source rpm on platforms other than 7.0.
* Wed Jul 19 2000 - bk@suse.de
- s390: removed dasdfmt and silo, %%ifnarch s390 for some non-s390 things.
* Tue May 30 2000 - bk@suse.de
- added dasdfmt and silo on s390
* Mon May 15 2000 - kukuk@suse.de
- util-linux: Update to 2.10m
* Wed Apr 26 2000 - kukuk@suse.de
- flusb: Don't use kernel headers, even if we don't need them!
* Wed Apr 19 2000 - kukuk@suse.de
- util-linux: Update to 2.10l
* Mon Apr 17 2000 - kukuk@suse.de
- util-linux: Update to 2.10k
* Thu Apr 13 2000 - kukuk@suse.de
- Move /sbin/setserial to /bin/setserial, add compat link to
  /sbin. This fixes [Bug 1084] and is necessary for FHS 2.1
* Wed Apr 12 2000 - kukuk@suse.de
- Fix util-linux for Alpha
* Wed Apr 12 2000 - kukuk@suse.de
- util-linux: Update to 2.10j
* Sun Apr 02 2000 - bk@suse.de
- suse s390 team added support for s390
* Thu Mar 30 2000 - uli@suse.de
- hwclock/PPC: added support for MK48T559 RTC chip used in MTX+ boards
* Fri Mar 24 2000 - kukuk@suse.de
- Add Linux LVM partition tag to fdisk
- Fix a lot of more possible buffer overruns
- Fix some fdisk sunlabel bugs
- added BuildRoot fixes from nadvorni@suse.cz
* Wed Mar 22 2000 - kukuk@suse.de
- Update util-linux to 2.10h
- Add clock again for non PPC platforms
* Fri Mar 17 2000 - uli@suse.de
- now contains both hwclock and clock on PPC (/sbin/init.d/boot
  chooses what to run at runtime)
* Tue Mar 14 2000 - schwab@suse.de
- Add support for ia64.
* Thu Mar 09 2000 - kukuk@suse.de
- fdisk: Fix -l for Mylex RAID controller
* Tue Mar 07 2000 - kukuk@suse.de
- etc/filesystems: Add minix and reiserfs
* Tue Mar 07 2000 - kukuk@suse.de
- mount: fix endian problem with minix fs
* Tue Feb 15 2000 - kukuk@suse.de
- mount: Add hack for PPC/syscall mount problem
* Sun Feb 13 2000 - bk@suse.de
- let rdev continue in case it stubles over a bad file in /dev (/dev/snd fix)
* Fri Feb 04 2000 - kukuk@suse.de
- Make PPC clock parameter compatible to hwclock
* Thu Feb 03 2000 - kukuk@suse.de
- Fix filelist for SPARC
* Thu Feb 03 2000 - kukuk@suse.de
- util-linux: Update to 2.10f (mount security fix)
* Sun Jan 23 2000 - kukuk@suse.de
- util-linux: Update to 2.10e
* Tue Jan 18 2000 - kukuk@suse.de
- mount now looks at first in /etc/filesystems and then in
  /proc/filesystems
* Tue Jan 18 2000 - ro@suse.de
- fixed pmac-utils to build with 2.3 as well
* Tue Jan 18 2000 - kukuk@suse.de
- Fix a lot of fdisk buffer overruns [Bug 1642]
* Mon Jan 17 2000 - kukuk@suse.de
- Fix setserial for Linux 2.3.40
- Remove write, is now in nkitb
- Build minix and bfs tools for SPARC
- Fix some buffer overflows in fdisk
* Fri Dec 17 1999 - kukuk@suse.de
- util-linux: Update to 2.10d
- hex: Update to 1.2
- Move manual pages to /usr/share/man
* Tue Nov 30 1999 - uli@suse.de
- re-added hwclock link for PPC (2nd try)
* Tue Nov 30 1999 - uli@suse.de
- re-added hwclock link for PPC
* Mon Nov 15 1999 - kukuk@suse.de
- util-linux: Update to 2.10b
* Sat Nov 13 1999 - kukuk@suse.de
- setserial: Add Patch for Sparc
- Fix filelist for Sparc
* Wed Oct 27 1999 - garloff@suse.de
- added flushb (moved here from ddrescue).
- fix bug in logger (remove trailing newlines).
* Fri Oct 22 1999 - kukuk@suse.de
- util-linux: Remove old patches for mk_loop_h
* Sat Oct 16 1999 - kukuk@suse.de
- util-linux: Update to 2.9z
* Fri Oct 08 1999 - kukuk@suse.de
- Update to util-linux-2.9y (execpt fdisk)
* Tue Sep 14 1999 - uli@suse.de
- added PMac-specific utils for PPC
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Aug 26 1999 - uli@suse.de
- disabled hayesesp for PPC
* Wed Aug 25 1999 - kukuk@suse.de
- Dont install tsort, its now in textutils 2.0
* Tue Aug 24 1999 - kukuk@suse.de
- Update to util-linux-2.9w (execpt fdisk)
* Mon Aug 09 1999 - kukuk@suse.de
- Update to util-linux-2.9v (execpt fdisk)
* Tue Jul 20 1999 - garloff@suse.de
- Added hex from Erich S. Raymond
* Mon Jul 12 1999 - kukuk@suse.de
- Add fdisk patch from Klaus G. Wagner
- Add mount patch from util-linux 2.9u
* Tue Jul 06 1999 - kukuk@suse.de
- update to util-linux-2.9t
* Fri Jun 25 1999 - kukuk@suse.de
- update to util-linux-2.9s
* Wed Mar 03 1999 - ro@suse.de
- hwclock.c: always use busywait to get rtctime
  (it's hard to find out at runtime if we will get an irq)
* Tue Mar 02 1999 - ro@suse.de
- update to util-linux-2.9i
- update to setserial-2.15
- using diffs from jurix and add-ons from kgw for compaq smart raid
* Mon Feb 01 1999 - ro@suse.de
- rdev is not built on alpha
* Mon Jan 18 1999 - florian@suse.de
- fixed one broken case to delete a partition in fdisk
* Sun Dec 13 1998 - bs@suse.de
- fixed file list
* Thu Dec 10 1998 - fehr@suse.de
- fix bug in fdisk
* Tue Dec 08 1998 - ro@suse.de
- removed last from filelist
- added link /sbin/clock -> hwclock
* Wed Nov 04 1998 - ro@suse.de
- fdisksunlabel: don't include scsi/scsi.h for glibc-2.0
* Fri Oct 30 1998 - ro@suse.de
- update to 2.9 / added hostid from previous diff
- copied some glibc changes from previous diff (strcpy..)
* Thu Sep 17 1998 - ro@suse.de
- define _GNU_SOURCE when using getopt
* Mon Aug 31 1998 - ro@suse.de
- full switch to util-linux 2.8
--  sync has moved to pkg fileutils
--  chroot has moved to pkg sh_utils (has been there for a while)
--  adopted hostid from previous suse-pkg
* Mon Aug 24 1998 - ro@suse.de
- switched to use mount from util-linux-2.8
* Tue Jun 23 1998 - ro@suse.de
- added fdisk, sfdisk, cfdisk from util-linux-2.8
  (including man-pages,readmes)
* Mon Nov 17 1997 - ro@suse.de
- changed /local/bin/perl5 in chkdupexe to /usr/bin/perl
* Fri Oct 31 1997 - ro@suse.de
- temporarily removed mount-hacker
* Wed Oct 29 1997 - florian@suse.de
- add changes from ms@suse.de for hostid.c
* Tue May 20 1997 - florian@suse.de
- only support kernel 2.0.x for nfs mounts, please use /bin/mount-hacker
  for kernel 2.1.x
* Wed Apr 30 1997 - florian@suse.de
- update to mount 2.6g
* Sun Apr 13 1997 - florian@suse.de
- update to new version util-linux 2.6
- update to new version mount 2.6e
* Thu Jan 02 1997 - florian@suse.de
- update to mount 2.5p
* Thu Jan 02 1997 - florian@suse.de
- Update auf neue Version von mount 2.5o.
* Thu Jan 02 1997 - florian@suse.de
- updated to new version mount 2.5m
- (u)mount now gives much better error messages
* Thu Jan 02 1997 - bs@suse.de
  compile setterm with libtermcap and not libncurses
  use newer mount instead of the old version in util-linux
  (security fix)
